# TSegmentMeshRenderable Class Reference

Inheritance diagram for TSegmentMeshRenderable:

List of all members.

## Public Member Functions
virtual I3DShRenderable::EType MCCOMAPI | GetGeometryType () const
virtual const TSegmentMesh *MCCOMAPI | GetSegmentMesh () const
## Static Public Member Functions
static void | Create (TRenderableHelper **outRenderable, TMCColorRGB &inColorRef, TBBox3D &inBBoxRef, TRenderableFlags &inFlagsRef, TSegmentMesh &inSegmentMeshRef)
## Protected Member Functions
| TSegmentMeshRenderable (TMCColorRGB &inColorRef, TBBox3D &inBBoxRef, TRenderableFlags &inFlagsRef, TSegmentMesh &inSegmentMeshRef)
| ~TSegmentMeshRenderable ()
## Protected Attributes
TSegmentMesh & | fSegmentMeshRef

## Constructor & Destructor Documentation

TSegmentMeshRenderable::TSegmentMeshRenderable | ( | TMCColorRGB & | inColorRef,
|  | TBBox3D & | inBBoxRef,
|  | TRenderableFlags & | inFlagsRef,
|  | TSegmentMesh & | inSegmentMeshRef |
| ) |  |  | `[inline, protected]`

TSegmentMeshRenderable::~TSegmentMeshRenderable | ( |  | ) | `[inline, protected]`

## Member Function Documentation

static void TSegmentMeshRenderable::Create | ( | TRenderableHelper ** | outRenderable,
|  | TMCColorRGB & | inColorRef,
|  | TBBox3D & | inBBoxRef,
|  | TRenderableFlags & | inFlagsRef,
|  | TSegmentMesh & | inSegmentMeshRef |
| ) |  |  | `[inline, static]`

virtual I3DShRenderable::EType MCCOMAPI TSegmentMeshRenderable::GetGeometryType | ( |  | ) | const`[inline, virtual]`

Returns the type of geometry that should be rendered (points, segments or triangles...)

Implements TRenderableHelper.

virtual const TSegmentMesh* MCCOMAPI TSegmentMeshRenderable::GetSegmentMesh | ( |  | ) | const`[inline, virtual]`

Returns a pointer to the segment mesh contained in this renderable. Returns NULL if the renderable is not a segment mesh (see GetGeometryType()).

Reimplemented from TCountedRenderable.

## Member Data Documentation

TSegmentMesh& TSegmentMeshRenderable::fSegmentMeshRef`[protected]`

The documentation for this class was generated from the following file:

- BasicRenderables.h